GSS_INDICATE_MECHS(3)

NAME
gss_indicate_mechs - Determine available underlying authentication mechanisms

SYNOPSIS
#include <gssapi/gssapi.h>
OM_uint32
gss_indicate_mechs(OM_uint32 *minor_status, gss_OID_set *mech_set);

DESCRIPTION
Allows an application to determine which underlying security mechanisms are available.

PARAMETERS

minor_status
    Mechanism specific status code.

mech_set
    Set of implementation-supported mechanisms. The returned mech_set value will be a dynamically-allocated OID set, that should be released by the caller after use with a call to gss_release_oid_set().

RETURN VALUES

GSS_S_COMPLETE
    Successful completion

SEE ALSO
gss_release_oid_set(3)

STANDARDS

RFC 2743
    Generic Security Service Application Program Interface Version 2, Update 1

RFC 2744
    Generic Security Service API Version 2 : C-bindings

HISTORY
The gss_indicate_mechs function first appeared in FreeBSD 7.0.

AUTHORS
John Wray, Iris Associates

COPYRIGHT
Copyright (C) The Internet Society (2000). All Rights Reserved.

This document and translations of it may be copied and furnished to others, and derivative works that comment on or otherwise explain it or assist in its implementation may be prepared, copied, published and distributed, in whole or in part, without restriction of any kind, provided that the above copyright notice and this paragraph are included on all such copies and derivative works. However, this document itself may not be modified in any way, such as by removing the copyright notice or references to the Internet Society or other Internet organizations, except as needed for the purpose of developing Internet standards in which case the procedures for copyrights defined in the Internet Standards process must be followed, or as required to translate it into languages other than English.

The limited permissions granted above are perpetual and will not be revoked by the Internet Society or its successors or assigns.

This document and the information contained herein is provided on an "AS IS" basis and THE INTERNET SOCIETY AND THE INTERNET ENGINEERING TASK FORCE DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE INFORMATION HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.